Bug 11346 - Deprecate the PROG and CCSR themes
Summary: Deprecate the PROG and CCSR themes
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 11347 11349 12233 12494 12512 12513 12534 12535 12539 12653 12655 12657
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-05 21:46 UTC by Liz Rea
Modified: 2015-06-04 23:32 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2013-12-05 21:46:13 UTC
This is a master bug for keeping track of all of the known issues related to the upcoming deprecation of the PROG and CCSR themes for the OPAC. Bugs for things that need to be removed should be blockers for this one.

As of 3.14, bootstrap is the new default theme for the OPAC, and libraries are highly encouraged to switch their theming prior to deprecation in 3.18 because of its enhanced feature set (it is responsive) and modern styling. 

The proposal regarding theme deprecation as accepted on 2013-11-01 is as follows: 

[1] We ship Bootstrap as the default theme for 3.14 for new installations. (DONE)
[2] We announce deprecation of prog and CCSR when 3.14 is released and
issue a recommendation that libraries start switching to Bootstrap. (DONE)
[3] At the same time, we announce that prog and CCSR will be removed in
3.18.  If some organization wishes to maintain either theme after then,
they can do so, but as a separate contrib.  However, if you are inclined to
support either theme after they've been removed ... please think carefully
about the amount of work that would entail.
[4] The RM will assist in getting OPAC template patches in the pipeline
that were written for prog updated to support Bootstrap as well.
[5] Starting with the 3.16, new OPAC patches should be targeted for
Bootstrap first.  During the 3.16 cycle, contributors are requested to make
an effort to update the prog theme as well, particularly for new features,
but this is a request, not a requirement.  In other words, this means that
for 3.16, libraries may need to switch to Bootstrap to take full advantage
of new OPAC functionality, but the prog theme will continue to be
functional.
[6] During the 3.18 cycle, no patches will be pushed for prog except
insofar as they may be needed to fix security issues in the maintenance
releases.  Before 3.18 is released, prog and CCSR will be taken out
entirely.
Comment 1 Tomás Cohen Arazi 2014-06-21 21:48:55 UTC
*** Bug 12233 has been marked as a duplicate of this bug. ***
Comment 2 Owen Leonard 2014-07-01 15:15:18 UTC
> [3] At the same time, we announce that prog and CCSR will be removed in
> 3.18.

Done.

> [4] The RM will assist in getting OPAC template patches in the pipeline
> that were written for prog updated to support Bootstrap as well.

Done?

> [5] Starting with the 3.16, new OPAC patches should be targeted for
> Bootstrap first.

Done.

> [6] During the 3.18 cycle, no patches will be pushed for prog except
> insofar as they may be needed to fix security issues in the maintenance
> releases.

Done?

> Before 3.18 is released, prog and CCSR will be taken out
> entirely.

Bug 12233. Can this bug be considered fixed and dependent bugs be made dependent on Bug 12233 instead?
Comment 3 Tomás Cohen Arazi 2014-10-30 01:15:15 UTC
All dependent bugs have been pushed to master, and hence this bug will be marked as pushed to master.

Thanks everyone!